Subject: I bought 500 shares of ITC at a price of 190. Should I hold it or sell it?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Mon, 16 Nov 2020 10:23:27 +0000

Algaily's Digest
Your Quora Digest

-----

Question: I bought 500 shares of ITC at a price of 190. Should I hold it or sell it?

Answer from Surya Someshwara

Hey,

You have invested about 95,000Rs and You don’t know If you want to Sell or Hold the stock.

About ITC Stock: Its a fantastic stock and will be at 250Rs or Even 350Rs in 
Read More: http://www.quora.com/I-bought-500-shares-of-ITC-at-a-price-of-190-Should-I-hold-it-or-sell-it?top_ans=239664581
-----
Question: Is it safe to live in Pakistan?

Answer from Hammad Khan

Yes and No.

I left USA 5 years ago for Pakistan because of family reasons, mainly to look after my old mother as well as look after the court cases which are typical in all h
Read More: http://www.quora.com/Is-it-safe-to-live-in-Pakistan?top_ans=138814866
-----
Question: Did Virat Kohli destroy Ravichandran Ashwin's career?

Answer from Ruturaj

Virat Kohli was the main reason behind sidelining R Ashwin from limited overs cricket.

No doubt Ashwin had a rough Champions Trophy 2017, Kohli came out saying we’re resting 
Read More: http://www.quora.com/Did-Virat-Kohli-destroy-Ravichandran-Ashwins-career?top_ans=239294054
-----
Question: What are the top 2 business ideas with zero investment in India in 2020?

Answer from Rahul Kunder

Hello,

Earning money in India is very easy. We see multiple starts ups forming everyday. To be very clear it's not very difficult to run a zero investment business in India. 
Read More: http://www.quora.com/What-are-the-top-2-business-ideas-with-zero-investment-in-India-in-2020?top_ans=202354146
-----
Question: Uncertainty in IT job is very stressful in India, What is the right age to leave IT job in India with so much uncertainty and constant changes. Considering taking mental stress for so long will damage health?

Answer from D.D. Rishi

It is not easy at all to leave an IT job and switch over to another, at any age.

IT jobs are highly specialized jobs which give you a permanent tag too in the sense that if y
Read More: http://www.quora.com/Uncertainty-in-IT-job-is-very-stressful-in-India-What-is-the-right-age-to-leave-IT-job-in-India-with-so-much-uncertainty-and-constant-changes-Considering-taking-mental-stress-for-so-long-will-damage-health?top_ans=242480011
-----
Question: Are IPL players paid for their entire bid amount?

Answer from Kanthaswamy Balasubramaniam

This is a question i have asked many people and have never once got a proper reply.

For instance - If Ravindra Jadeja gets a $ 9 Million Bid - does it mean he gets $ 9 Millio
Read More: http://www.quora.com/Are-IPL-players-paid-for-their-entire-bid-amount?top_ans=232099041
-----
Question: Has anybody been cheated by Amazon India?

Answer from Dora Debi

1. Yes yes and yes!
Amazon cheated me in an unbelievable way.

I had ordered for a phone worth 16.8k and I got a detergent bar.

The enquiry team was setup and they say that t
Read More: http://www.quora.com/Has-anybody-been-cheated-by-Amazon-India?top_ans=97984620
-----
Question: I have 790 shares of ITC at prize 191.26. The share prize is continuously falling. On Friday, it closed at 179. What action should be taken?

Answer from Sandip Biswas

Hold and forget it. There are few things to calculate. You are in a loss ₹11 per share. The stock is in oversold condition. It is a good Company without doubt but if you look 
Read More: http://www.quora.com/I-have-790-shares-of-ITC-at-prize-191-26-The-share-prize-is-continuously-falling-On-Friday-it-closed-at-179-What-action-should-be-taken?top_ans=239823707
-----
Question: Who are the Dravidians? Where did they come from?

Answer from Alexei Muraki

The Dravidians are one of the most important components of South Asian ancestry. Early Dravidians are generally linked to the “neolithic Zagros agriculturalists” from modern d
Read More: http://www.quora.com/Who-are-the-Dravidians-Where-did-they-come-from?top_ans=191929562
-----
Question: Why has Arjun Tendulkar not been picked up in the IPL 2020?

Answer from Daniel David

Arjun Tendulkar is enjoying himself with the Mumbai Indians team as a net bowler improving his skills ,all eyes are on the tall left handed fast bowling all rounder, he has a 
Read More: http://www.quora.com/Why-has-Arjun-Tendulkar-not-been-picked-up-in-the-IPL-2020?top_ans=239504633
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/tc?aoid&aoty=14&aty=4&cp=0&id=fb4206bfd8d9490cb240d6aabf8718f0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=fb4206bfd8d9490cb240d6aabf8718f0&t=1605522205685668&token=b0fe826e5a8fac0406c5db513a7c515ad6a29d421c66483d4efc7d38b8c163a003e17443ef8b9b6805e146faf209e5b762edb469c9ccd5b45d706da98fc9ff37&type=2&uid=1229773278